Debian Bug report logs - #558800
munin-node: ntp plugin doesn't work with ipv6 addresses

version graph

Package: munin-node; Maintainer for munin-node is Munin Debian Maintainers <packaging@munin-monitoring.org>; Source for munin-node is src:munin.

Reported by: Thomas Bogendoerfer <Thomas.Bogendoerfer@funkwerk-ec.com>

Date: Mon, 30 Nov 2009 17:36:01 UTC

Severity: normal

Tags: confirmed, fixed-upstream, ipv6

Merged with 574873

Found in versions munin/2.0~rc2-1, munin/1.2.6-10~lenny1, munin/1.4.4-1, munin/2.0~rc4-1

Fixed in version munin/2.0.13-1

Done: Holger Levsen <holger@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://munin-monitoring.org/ticket/775

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#558800; Package munin-node. (Mon, 30 Nov 2009 17:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Bogendoerfer <Thomas.Bogendoerfer@funkwerk-ec.com>:
New Bug report received and forwarded. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Mon, 30 Nov 2009 17:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Bogendoerfer <Thomas.Bogendoerfer@funkwerk-ec.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: munin-node: ntp plugin doesn't work with ipv6 addresses
Date: Mon, 30 Nov 2009 18:14:54 +0100
Package: munin-node
Version: 1.2.6-10~lenny1
Severity: normal

The ntp plugin has problems parsing the ntpq output, if remote uses
an IPv6 address. The monitoring of ntp doesn't work in this setup.

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28.10 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US.ISO_8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages munin-node depends on:
ii  adduser                 3.110            add and remove users and groups
ii  gawk                    1:3.1.5.dfsg-4.1 GNU awk, a pattern scanning and pr
ii  libnet-server-perl      0.97-1           An extensible, general perl server
ii  lsb-base                3.2-20           Linux Standard Base 3.2 init scrip
ii  perl                    5.10.0-19lenny2  Larry Wall's Practical Extraction 
ii  procps                  1:3.2.7-11       /proc file system utilities

Versions of packages munin-node recommends:
pn  libnet-snmp-perl              <none>     (no description available)

Versions of packages munin-node suggests:
ii  acpi                        1.1-2        displays information on ACPI devic
ii  ethtool                     6+20080913-1 display or change Ethernet device 
pn  libdbd-pg-perl              <none>       (no description available)
pn  liblwp-useragent-determined <none>       (no description available)
pn  libnet-irc-perl             <none>       (no description available)
pn  libwww-perl                 <none>       (no description available)
pn  munin                       <none>       (no description available)
pn  munin-plugins-extra         <none>       (no description available)
pn  mysql-client                <none>       (no description available)
ii  python                      2.5.2-3      An interactive high-level object-o
pn  smartmontools               <none>       (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#558800; Package munin-node. (Tue, 01 Dec 2009 05:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Feiner <feiner.tom@gmail.com>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Tue, 01 Dec 2009 05:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 558800@bugs.debian.org (full text, mbox):

From: Tom Feiner <feiner.tom@gmail.com>
To: Thomas Bogendoerfer <Thomas.Bogendoerfer@funkwerk-ec.com>, 558800@bugs.debian.org
Subject: Re: Bug#558800: munin-node: ntp plugin doesn't work with ipv6 addresses
Date: Tue, 01 Dec 2009 07:27:47 +0200
[Message part 1 (text/plain, inline)]
Hi Thomas!

Thanks for taking the time to report this bug.

Can you attach the output of:

munin-run --debug ntp_IP

(where IP is your ntp server's IP).

or give an example ntp server that raises this issue?

Thanks,
    Tom Feiner






[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#558800; Package munin-node. (Tue, 01 Dec 2009 10:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Bogendoerfer <Thomas.Bogendoerfer@funkwerk-ec.com>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Tue, 01 Dec 2009 10:42:07 GMT) Full text and rfc822 format available.

Message #15 received at 558800@bugs.debian.org (full text, mbox):

From: Thomas Bogendoerfer <Thomas.Bogendoerfer@funkwerk-ec.com>
To: Tom Feiner <feiner.tom@gmail.com>
Cc: 558800@bugs.debian.org
Subject: Re: Bug#558800: munin-node: ntp plugin doesn't work with ipv6 addresses
Date: Tue, 1 Dec 2009 11:19:02 +0100
On Tue, 01 Dec 2009 07:27:47 +0200
Tom Feiner <feiner.tom@gmail.com> wrote:

> Can you attach the output of:
> 
> munin-run --debug ntp_IP

aragorn:~# munin-run --debug ntp_arwen_dev_bintec_de
# Saving mysql*->env->mysqlopts = --defaults-extra-file=/etc/mysql/debian.cnf...
# Saving postfix_mailvolume->env->logfile = mail.log...
# file: 'ntp_arwen_dev_bintec_de'
# Want to run as euid/egid 65534/119
# Running as uid/gid/euid/egid 65534/119 119/65534/119 119
# DEBUG: About to exec "/etc/munin/plugins/ntp_arwen_dev_bintec_de"

> or give an example ntp server that raises this issue?

I've looked at /usr/share/munin/plugins/ntp_ and removed all
lines with "next unless /^.(\d+\.\d+\.\d+\.\d+)/;". This gets
back the functionality, but might cause problems when parsing 
local time sources. My perl foo isn't that good to estimate the
outfall of this quick hack.

If you look at the ntpq output used for parsing time source it's
obvious why the unless statement above causes the problem. In my
setup it looks like this:

aragorn:~# ntpq -c "hostnames no" -c peers
     remote           refid      st t when poll reach   delay   offset  jitter
==============================================================================
*2001:6f8:1c08:0 192.53.103.108   2 u   79  128  377    3.115    3.806   0.405

Thomas.

-- 
Crap can work. Given enough thrust pigs will fly, but it's not necessary a
good idea.                                                [ RFC1925, 2.3 ]





Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#558800; Package munin-node. (Tue, 01 Dec 2009 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Feiner <feiner.tom@gmail.com>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Tue, 01 Dec 2009 20:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 558800@bugs.debian.org (full text, mbox):

From: Tom Feiner <feiner.tom@gmail.com>
To: Thomas Bogendoerfer <Thomas.Bogendoerfer@funkwerk-ec.com>
Cc: 558800@bugs.debian.org
Subject: Re: Bug#558800: munin-node: ntp plugin doesn't work with ipv6 addresses
Date: Tue, 01 Dec 2009 22:17:33 +0200
[Message part 1 (text/plain, inline)]
forwarded 558800 http://munin.projects.linpro.no/ticket/775
quit

Hi Thomas,

Thanks for the details. Indeed it looks like this plugin was not written with
IPv6 in mind.

As this is not a debian specific issue, I've opened a bug upstream, and
forwarded the details to them.

Regards,
    Tom Feiner



[signature.asc (application/pgp-signature, attachment)]

Added tag(s) ipv6. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 02 Dec 2009 15:27:09 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 05 Dec 2009 10:33:11 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://munin.projects.linpro.no/ticket/775'. Request was from Tom Feiner <feiner.tom@gmail.com> to control@bugs.debian.org. (Mon, 18 Jan 2010 18:09:05 GMT) Full text and rfc822 format available.

Merged 558800 574873. Request was from Tom Feiner <feiner.tom@gmail.com> to control@bugs.debian.org. (Mon, 22 Mar 2010 11:06:17 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:04:04 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:44 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:31:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#558800; Package munin-node. (Sat, 17 Sep 2011 22:01:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kenyon Ralph <kenyon@kenyonralph.com>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Sat, 17 Sep 2011 22:01:11 GMT) Full text and rfc822 format available.

Message #41 received at 558800@bugs.debian.org (full text, mbox):

From: Kenyon Ralph <kenyon@kenyonralph.com>
To: 558800@bugs.debian.org
Subject: fixed upstream
Date: Sat, 17 Sep 2011 14:44:28 -0700
[Message part 1 (text/plain, inline)]
tags 558800 fixed-upstream
thanks

I fixed this upstream (see http://munin-monitoring.org/ticket/775) by
rewriting the ntp_states plugin. The ntp_ plugin's functionality has
been integrated into the other ntp plugins, including ntp_states.

-- 
Kenyon Ralph
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Sat, 17 Sep 2011 22:01:21 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 14 Jan 2012 16:42:09 GMT) Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@debian.org>:
You have taken responsibility. (Mon, 19 Mar 2012 15:15:10 GMT) Full text and rfc822 format available.

Notification sent to Thomas Bogendoerfer <Thomas.Bogendoerfer@funkwerk-ec.com>:
Bug acknowledged by developer. (Mon, 19 Mar 2012 15:15:11 GMT) Full text and rfc822 format available.

Message #50 received at 558800-close@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@debian.org>
To: 558800-close@bugs.debian.org
Subject: Bug#558800: fixed in munin 2.0~rc2-1
Date: Mon, 19 Mar 2012 15:11:53 +0000
Source: munin
Source-Version: 2.0~rc2-1

We believe that the bug you reported is fixed in the latest version of
munin, which is due to be installed in the Debian FTP archive:

munin-async_2.0~rc2-1_all.deb
  to main/m/munin/munin-async_2.0~rc2-1_all.deb
munin-common_2.0~rc2-1_all.deb
  to main/m/munin/munin-common_2.0~rc2-1_all.deb
munin-doc_2.0~rc2-1_all.deb
  to main/m/munin/munin-doc_2.0~rc2-1_all.deb
munin-node_2.0~rc2-1_all.deb
  to main/m/munin/munin-node_2.0~rc2-1_all.deb
munin-plugins-core_2.0~rc2-1_all.deb
  to main/m/munin/munin-plugins-core_2.0~rc2-1_all.deb
munin-plugins-extra_2.0~rc2-1_all.deb
  to main/m/munin/munin-plugins-extra_2.0~rc2-1_all.deb
munin-plugins-java_2.0~rc2-1_all.deb
  to main/m/munin/munin-plugins-java_2.0~rc2-1_all.deb
munin_2.0~rc2-1.diff.gz
  to main/m/munin/munin_2.0~rc2-1.diff.gz
munin_2.0~rc2-1.dsc
  to main/m/munin/munin_2.0~rc2-1.dsc
munin_2.0~rc2-1_all.deb
  to main/m/munin/munin_2.0~rc2-1_all.deb
munin_2.0~rc2.orig.tar.gz
  to main/m/munin/munin_2.0~rc2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558800@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Holger Levsen <holger@debian.org> (supplier of updated munin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 19 Mar 2012 15:17:42 +0000
Source: munin
Binary: munin-node munin-plugins-core munin-plugins-extra munin-plugins-java munin munin-common munin-async munin-doc
Architecture: source all
Version: 2.0~rc2-1
Distribution: unstable
Urgency: low
Maintainer: Munin Debian Maintainers <packaging@munin-monitoring.org>
Changed-By: Holger Levsen <holger@debian.org>
Description: 
 munin      - network-wide graphing framework (grapher/gatherer)
 munin-async - network-wide graphing framework (common)
 munin-common - network-wide graphing framework (common)
 munin-doc  - network-wide graphing framework (documentation)
 munin-node - network-wide graphing framework (node)
 munin-plugins-core - network-wide graphing framework (plugins for node)
 munin-plugins-extra - network-wide graphing framework (user contributed plugins for nod
 munin-plugins-java - network-wide graphing framework (java plugins for node)
Closes: 464880 474193 558800 565565 567551 576009 592214 610528 644960 651449 661265
Changes: 
 munin (2.0~rc2-1) unstable; urgency=low
 .
   * This is not yet munin 2.0, but almost! Install at your own risk and have
     fun! Also, please give feedback to munin-users@lists.sourceforge.net or
     if you prefer IRC, go to #munin on OFTC.
   * Quoting from /usr/share/doc/munin/Announce-2.0:
     * Introducing Munin 2.0! The most important features:
     * Even better scalability through:
       - Large performance improvements on almost all munin's components:
       - Full CGI integration.  It is for graphing as  well for html, if needed.
         It is also completely compatible with FastCGI, that only compiles once
         per run.
       - Binary state data files.  This has enabled a really fast startup and
         storing of state files. Quite useful in munin limits that does need to
         access to the rrd files.
       - Complete integration with rrdcached.  Starting with RRD 1.4, there is
         an update daemon. It enables batched updates, and therefore reduce the
         IO down. Even with 1000+ files to update every 5 min.
       - Spoolfetch uses _node_read_fast() now : 3MiB is now read in 2 s instead
         of 7 min.
     * Complete IPv6 integration: (Closes: #592214, Closes: #558800, Closes:
       #567551)
       - The master only require a new perl module (IO::Socket::INET6)
       - The node needs a IPv6-patched Net::Server
     * Native SSH transport - No need to have a hairy setup anymore.
     * Graph Zooming: The UI is still raw, but right to the point.
     * New look on HTML pages, new graph colours with better contrast
     * IRC ( #munin @ OFTC ) has become a real support channel, mostly aimed at
       trunk.
     * Full details in http://munin-monitoring.org/browser/tags/2.0-rc2/ChangeLog
       or in /usr/share/doc/munin/changelog.gz on this system. (Closes: #610528,
       Closes: #644960, Closes: #576009, Closes: #474193)
     * This release has been prepared through six uploads to experimental and
       several users running it on their installations.
 .
   [ Steve Schnepp ]
   * Maintained a branch since munin 1.5 all the way up to 1.999 to prepare
     munin 2.0 packages for Debian.
   * Using a 1.999.SVN naming scheme to enable rpm package building using alien
     - munin-graph is no more, only CGI is left.
   * Added support for async polling in munin-master, add new package
     munin-async.
   * Enable vectorized multiple-time updates. Speeds updates up when using
     async polling. An 1s polling rate is now possible w/o much overhead, since
     munin-update only runs every 5 min.
     - ability to keep more data (for zooming resolution mainly)
     - ability to run (some) plugins more and/or less often than every
       5 minutes
     - support of async polling, so munin-update can run less often than
       the usual 5 min. Useful if you have too much nodes and it takes
       more than 5 min to gather all the data.
     - Closes: #464880
   * Add new binary package: munin-plugins, containing the plugins previously
     included in the munin-node package. This enables us to:
     - have alternate munin-node packages in future.
     - be able to build a make-dh-perl like package building system
       for 3rd party plugins.
   * Move POD files to package munin-doc.
     - fixed duplicates (Closes: #661265)
   * Move Munin::Plugins and plugins.sh into munin-common to be able to
     install munin-plugins-extra without munin-plugins-core.
   * debian/control changes:
     - munin-async isn't recommended anymore as it will needlessly launch a
       daemon since its usage isn't automatic yet.
     - munin-async does actually depends on munin-common.
     - A more recent version of munin-common is always ok, as it is compatible.
       It enables decoupling munin, munin-node & munin-plugin-* versions.
 .
   [ Holger Levsen ]
   * Merge changes from 1.4.4-1 until 1.4.7-1 into this branch and merge
     debian/changelog in preparation for uploading to experimental.
   * Move packaging to
     svn://munin.projects.linpro.no/munin/branches/debian/wheezy
   * Include large parts of upstreams Announce-2.0 in debian/changelog.
   * Update to munin 2.0beta6, which has a rewrite of the timeout handling
     code. The default node timeout is now 1 min. Also various bugfixes were
     made.
   * Update maintainer address to packaging@munin-monitoring.org.
   * chmod 755 debian/ostype_helper in debian/rules. (Closes: #651449)
     Thanks Christoph Biedl.
   * Improve description of munin.init.
   * debian/control:
     - Rename munin-plugins to munin-plugins-core and make it
       provide/break/replace munin-plugins (<<1.999.4548-3~).
     - munin-java-plugins and munin-common should neither suggest munin nor
       munin-node.
     - rename munin-java-plugins to munin-plugins-java and make it replace and
       break munin-java-plugins (<<1.999.4548-3~).
     - Vcs-svn: provide path to Debian branch to avoid checking out the whole
       repo when using debcheckout.
     - Add quilt to build-depends.
   * debian/rules: support changes in debian/control.
   * munin.postrm: remove /var/log/munin/munin-cgi-html.log* on purge.
   * Add munin-async.postrm to delete the munin-async user on purge.
   * munin-async.postinst: set homedirectory to /var/lib/munin-async.
   * Move munin-doc to section doc.
   * Drop debian/patches/101-dash-bash-fw_conntrack.patch as this was fixed
     upstream properly to also fix network lag problems on big firewalls with
     the plugins fw_conntrack and fw_forwarded_local. (Closes: #565565)
   * Provide lintian-overrides for munin and munin-doc as the manpages for
     their binaries have been moved to the munin-doc package.
 .
   [ Marc Haber ]
   * Clean up build leftovers in debian/rules clean clean to allow
     building twice in a row.
 .
   [ Kenyon Ralph ]
   * Drop df_gnu patch which was integrated into the upstream plugin.
 .
   [ Stig Sandbeck Mathisen ]
   * Convert debian/rules to modern debhelper version (compat level 9)
   * Suggest ruby for plugins in that language
   * Bump standards version (no changes)
Checksums-Sha1: 
 6055817c993e2f9a9ef8edb78106480ef7572cd2 2362 munin_2.0~rc2-1.dsc
 a291505aeaf0e69fdc782a9fbac9ef878f53dda3 1315501 munin_2.0~rc2.orig.tar.gz
 add427c4c38ca56c76f12bb6352d5318ff7f32f1 44717 munin_2.0~rc2-1.diff.gz
 5ab3c1cf8354a1087a0fda9df63d231fe86ad3ee 120514 munin-node_2.0~rc2-1_all.deb
 6bcdeabce768fc7df7704c809b8f06368b8f6745 301542 munin-plugins-core_2.0~rc2-1_all.deb
 7d8bdc1aab6a396fc015adaf12b0f8cfffcb1111 147864 munin-plugins-extra_2.0~rc2-1_all.deb
 db70005518afe445d7857c780dc696936f29c32b 136692 munin-plugins-java_2.0~rc2-1_all.deb
 a7ed04acc3d988dceceec46f1afe58d95589ae19 194976 munin_2.0~rc2-1_all.deb
 2e229fe195ec5e9c03424c5277268a822bd5f2bd 87544 munin-common_2.0~rc2-1_all.deb
 8660c0ed2934601ae4d8d592d9f41a014098c1b4 75552 munin-async_2.0~rc2-1_all.deb
 0169abd5b03a3dc72b5ed45869308f54d7ef63ed 204878 munin-doc_2.0~rc2-1_all.deb
Checksums-Sha256: 
 0d808a900ca83233d96382d30f1aa2964854484c25a6daecdf63426cf388a636 2362 munin_2.0~rc2-1.dsc
 79b172fa5bafa5a2fee193a026a719d2b75bd7857f760b7ebfd30ddbc129d132 1315501 munin_2.0~rc2.orig.tar.gz
 00fb6cee1118c37ffcb81218987d5c8eb7a53a6e28b69ff40b2d0ead9ee9a0da 44717 munin_2.0~rc2-1.diff.gz
 8058bdaa87b98ce5f42f2b59d7703502e0b0ea6efccfee0f69c1e66269a76934 120514 munin-node_2.0~rc2-1_all.deb
 e7c4aadeafe4a19a8ffc193da3ee4187133b7ed6b739c3bcb4dd245c5fbe865c 301542 munin-plugins-core_2.0~rc2-1_all.deb
 ea914e4cf3da5a996f1b10c6a8627e60351ef0c76de8e8e43eceebc76357488e 147864 munin-plugins-extra_2.0~rc2-1_all.deb
 0d26d81f9733c2ce5e6185b41d258357b8b18dd946a65d062065c1681c8829cc 136692 munin-plugins-java_2.0~rc2-1_all.deb
 3d3d3d283be76829da87753d988838bd3d3715631e44aa8c6ebd953435094e63 194976 munin_2.0~rc2-1_all.deb
 f33e198683ab9797d6caec3470bb8ffc9f39325e5fc2872ed99ce20dae2bf225 87544 munin-common_2.0~rc2-1_all.deb
 857284b795d9ec82b246269db4d45e956311a2c6f3fa44e930a4418462b1823e 75552 munin-async_2.0~rc2-1_all.deb
 766c7d37f242aaa4939d649aaecc3407fd7c5bbde655978bed1be3ac5b3d3bc4 204878 munin-doc_2.0~rc2-1_all.deb
Files: 
 95fef234a9209f4aa9db5124f40e5c84 2362 net optional munin_2.0~rc2-1.dsc
 b3cb6cf61739f45d6e1fa5da1b23f633 1315501 net optional munin_2.0~rc2.orig.tar.gz
 aa7bd7a9502ff683f84dc109195ff7d2 44717 net optional munin_2.0~rc2-1.diff.gz
 0888fc99603d5c358a3bf56e6fed329a 120514 net optional munin-node_2.0~rc2-1_all.deb
 5d84b6662719a8ae8fc5fda7c4d3293c 301542 net optional munin-plugins-core_2.0~rc2-1_all.deb
 916d319230d779fda5247b39ffc2ac79 147864 net optional munin-plugins-extra_2.0~rc2-1_all.deb
 3fbf583c988377b0edd3e3c3e557323b 136692 net optional munin-plugins-java_2.0~rc2-1_all.deb
 261a63c00858f2c1cd585c5a782ae2dc 194976 net optional munin_2.0~rc2-1_all.deb
 426ab46aa1a0c481ec099a6c2ec4587e 87544 net optional munin-common_2.0~rc2-1_all.deb
 21302f10b6e991a4b0df61a72dd5bc69 75552 net optional munin-async_2.0~rc2-1_all.deb
 0185b8d92bbe87096a93695b3bcf40c3 204878 doc optional munin-doc_2.0~rc2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBT2dCIQkauFYGmqocAQhQ+A/+Ow/tkfIYgceG4J0HnF2O56vGqSU4pZQo
O3AkJQy1vAiq1eSK1vaXKGR965rM230BdKXhRLMxxGQvwZXIWB05H3GgHD4V/C3Q
hkg0IeFoRuEnQu5+7oqzgf5UDFGZXro/4rA9DsGN32vUlnvOqZ/aceq8uYJVE9DT
CgaHszlbFU4lShpM/F2wBvH1DnkB1ocTn3mehwjqukY0zCjrDzHzWxNKxYWSJHX8
/19ILmj4+YMRrjOLg+x3ioEISvs471wb1Njq/B0RPLFLDX5g1ryLFFM+mgmls35z
2YipXdemFMPXQIT/dTzzqCg2eUuZrPcwltuIr2SzpLrn+GtvyB6S0MSsYLTusq8j
zV60qPk/OfgxjbqIDVZV3NXcvlSORCuEuR8yCqJcnCVZjK2gTEc0qemC2h6Rd0Gn
2YNH0/labMoe9X8l+G/vMURB7RzdIEqt07rAri8c1bKtT9zrvq3ZtK3yhxbe6w65
Pn6W80f85z6FRCEdh0taCGK1ACfKHvJ+aluO2pGfFnTibYVj2PLdktn/cOD0lzjv
pe+/wSgpZMMyDkb9TYiRuN2EozAOmGIZAyv8/rHJqXnSgYiBs4OIy1xMeMBpTs5G
9jWjVnPLlDdAPGUPfGvwrme7b3v4UAY/e11MCsQOAtJPzKRTwE0cDnS1WCbIqQfO
qnCfNX+GLjU=
=QtE7
-----END PGP SIGNATURE-----





Reply sent to Holger Levsen <holger@debian.org>:
You have taken responsibility. (Mon, 19 Mar 2012 15:15:11 GMT) Full text and rfc822 format available.

Notification sent to Stephen Gran <sgran@debian.org>:
Bug acknowledged by developer. (Mon, 19 Mar 2012 15:15:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <packaging@munin-monitoring.org>:
Bug#558800; Package munin-node. (Wed, 04 Apr 2012 08:36:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kenyon Ralph <kenyon@kenyonralph.com>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <packaging@munin-monitoring.org>. (Wed, 04 Apr 2012 08:36:17 GMT) Full text and rfc822 format available.

Message #60 received at 558800@bugs.debian.org (full text, mbox):

From: Kenyon Ralph <kenyon@kenyonralph.com>
To: 558800@bugs.debian.org
Subject: ntp_ plugin not really fixed yet
Date: Wed, 4 Apr 2012 01:31:34 -0700
[Message part 1 (text/plain, inline)]
tags 558800 - fixed-upstream
found 558800 munin/2.0~rc2-1
found 558800 munin/2.0~rc4-1
notforwarded 558800
thanks

I realized that the ntp_ plugin is still useful to monitor individual
peers. The poorly-named "ntp_offset" plugin can do the same, but for
only the current system peer (and ntp_offset works with IPv6 peers).
So, this bug is not fully fixed yet. I plan to rewrite ntp_ using
techniques similar to those I used in ntp_states to make it work with
IPv6 peers.

-- 
Kenyon Ralph
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) fixed-upstream. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Wed, 04 Apr 2012 08:36:53 GMT) Full text and rfc822 format available.

Marked as found in versions munin/2.0~rc2-1; no longer marked as fixed in versions munin/2.0~rc2-1 and reopened. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Wed, 04 Apr 2012 08:36:54 GMT) Full text and rfc822 format available.

Marked as found in versions munin/2.0~rc4-1. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Wed, 04 Apr 2012 08:36:55 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Wed, 04 Apr 2012 08:36:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <packaging@munin-monitoring.org>:
Bug#558800; Package munin-node. (Tue, 26 Mar 2013 15:57:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kenyon Ralph <kenyon@kenyonralph.com>:
Extra info received and forwarded to list. Copy sent to Munin Debian Maintainers <packaging@munin-monitoring.org>. (Tue, 26 Mar 2013 15:57:18 GMT) Full text and rfc822 format available.

Message #73 received at 558800@bugs.debian.org (full text, mbox):

From: Kenyon Ralph <kenyon@kenyonralph.com>
To: 558800@bugs.debian.org
Subject: ntp_ rewritten
Date: Tue, 26 Mar 2013 08:53:11 -0700
[Message part 1 (text/plain, inline)]
tags 558800 fixed-upstream
forwarded 558800 http://munin-monitoring.org/ticket/775
thanks

ntp_ was rewritten in
https://github.com/munin-monitoring/munin/commit/0c4290eb7e233a997d7fa2a7a7465256fa71394c
and that fixes this bug.

-- 
Kenyon Ralph
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Tue, 26 Mar 2013 15:57:29 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://munin-monitoring.org/ticket/775'. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Tue, 26 Mar 2013 15:57:30 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:41:20 GMT) Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@debian.org>:
You have taken responsibility. (Thu, 09 May 2013 10:21:14 GMT) Full text and rfc822 format available.

Notification sent to Thomas Bogendoerfer <Thomas.Bogendoerfer@funkwerk-ec.com>:
Bug acknowledged by developer. (Thu, 09 May 2013 10:21:14 GMT) Full text and rfc822 format available.

Message #84 received at 558800-close@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@debian.org>
To: 558800-close@bugs.debian.org
Subject: Bug#558800: fixed in munin 2.0.13-1
Date: Thu, 09 May 2013 10:18:51 +0000
Source: munin
Source-Version: 2.0.13-1

We believe that the bug you reported is fixed in the latest version of
munin, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558800@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Holger Levsen <holger@debian.org> (supplier of updated munin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 09 May 2013 11:51:59 +0200
Source: munin
Binary: munin-node munin-plugins-core munin-plugins-extra munin-plugins-java munin munin-common munin-async munin-doc
Architecture: source all
Version: 2.0.13-1
Distribution: unstable
Urgency: low
Maintainer: Munin Debian Maintainers <packaging@munin-monitoring.org>
Changed-By: Holger Levsen <holger@debian.org>
Description: 
 munin      - network-wide graphing framework (grapher/gatherer)
 munin-async - network-wide graphing framework (async master/client)
 munin-common - network-wide graphing framework (common)
 munin-doc  - network-wide graphing framework (documentation)
 munin-node - network-wide graphing framework (node)
 munin-plugins-core - network-wide graphing framework (plugins for node)
 munin-plugins-extra - network-wide graphing framework (user contributed plugins for nod
 munin-plugins-java - network-wide graphing framework (java plugins for node)
Closes: 558800 705515
Changes: 
 munin (2.0.13-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #558800) - See upstream changelog for the
     full list of changes.
   * Add conntrack to munin-plugins-core suggests. (upstream trac #1267)
   * munin-node.init: drop support for sarge, five years after Debian dropped
     it.
   * Bump standards-version to 3.9.4, no changes necessary.
   * munin.logrotate rules: use delaycompress (Closes: #705515) - Thanks to
     Michael Shuler for the patch.
Checksums-Sha1: 
 03a2b58d4fb223b9efff609212ee6d3567f6f4b0 2362 munin_2.0.13-1.dsc
 ede429451830dac255c3daf3ff7b2412680325eb 1333690 munin_2.0.13.orig.tar.gz
 d101b6ae12bf4826b324b9a63a20ea6d4390c75c 49400 munin_2.0.13-1.diff.gz
 ee8bdb5aa4fdd767a3befbd66eb406a398a32634 133616 munin-node_2.0.13-1_all.deb
 0e79db4e45cc7de293397c2d3ba8515d4dd64b5a 310074 munin-plugins-core_2.0.13-1_all.deb
 f14f37816af6aef0150d68831b30af94f9ae0733 158204 munin-plugins-extra_2.0.13-1_all.deb
 95d33a88547265cb7c4b116364b494f7bb67e227 152100 munin-plugins-java_2.0.13-1_all.deb
 1bd726ac1208723db87f02b1429035c0d984a601 208202 munin_2.0.13-1_all.deb
 726cdfa3d11f0c30aee92a4b9bfdca2066cdad01 98796 munin-common_2.0.13-1_all.deb
 d9dab0729107cf3a96d91caf9b030685b5c5d7db 90806 munin-async_2.0.13-1_all.deb
 71ba83ba85e8657bddc07110d2622b917c26fdfe 219350 munin-doc_2.0.13-1_all.deb
Checksums-Sha256: 
 ea11676738243c4213f1bbbf714dee634bfc565d5c9c4606ca038cfd88cb55ce 2362 munin_2.0.13-1.dsc
 9a0b74c55a2d846371ad911f9e1102d21a6d39160771e7734981640fd75668db 1333690 munin_2.0.13.orig.tar.gz
 9d637d11c35130231cddcf0ff3c4a4d4c7388a078ab9e04c6f17874264af602c 49400 munin_2.0.13-1.diff.gz
 a57d188d541637d12db312b8d86bd6845c3c56091a4d39115ada4e4314011e8c 133616 munin-node_2.0.13-1_all.deb
 d058cd54093c9fce54d3c4be905a23561435cbe9ab8c6b591f8719937e092845 310074 munin-plugins-core_2.0.13-1_all.deb
 3554198b6599a4261ef5fc65e57dd3f02f40354c09fc908fc3e8e285314f9dea 158204 munin-plugins-extra_2.0.13-1_all.deb
 a2a826af8b8d5714d96dd05882bf9ef78202a2f4fd03945f0458faf685887cd0 152100 munin-plugins-java_2.0.13-1_all.deb
 acff9f5b93c2981c2781cd2879372af50bb353c2642d4a583bd6a9aa69247a59 208202 munin_2.0.13-1_all.deb
 5b43b2f0406b0d0739ebc66d8ff330cd38d2de9530b1414c96e1b567646d036e 98796 munin-common_2.0.13-1_all.deb
 eb0b404200b78f7ed85945f5ea2eb95abe1c221671b1e0767b41e3d29e4b64a9 90806 munin-async_2.0.13-1_all.deb
 6a407e2c4d4060c0c0f053da904d940e6fd767616e6e58db0739e17dbad04cf6 219350 munin-doc_2.0.13-1_all.deb
Files: 
 af4a8ab9316ed1539d0750ff35f7b975 2362 net optional munin_2.0.13-1.dsc
 879103b9267f454e3c26e89ffb070832 1333690 net optional munin_2.0.13.orig.tar.gz
 e116a4811c63366c37382168485761b9 49400 net optional munin_2.0.13-1.diff.gz
 dd27dbd943055c498b47ed6e1388763b 133616 net optional munin-node_2.0.13-1_all.deb
 e552f79f40a4b1f7a4912f72c648d86d 310074 net optional munin-plugins-core_2.0.13-1_all.deb
 cf921ee8f7059f24a5af48ab72f5a27f 158204 net optional munin-plugins-extra_2.0.13-1_all.deb
 537981a3890b338f1953a3104595fb4f 152100 net optional munin-plugins-java_2.0.13-1_all.deb
 bad3aa18c276d3f8d8db31833ce1ac4b 208202 net optional munin_2.0.13-1_all.deb
 aee1b54d6ec697c685d03107e01e1cb7 98796 net optional munin-common_2.0.13-1_all.deb
 5ccd35e83fb89cf8e0ed062f5310d20f 90806 net optional munin-async_2.0.13-1_all.deb
 d8597a13d662804e4b3bd1c1a0109a89 219350 doc optional munin-doc_2.0.13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUYt0HwkauFYGmqocAQh0ew/9EEVyYaZEGm3mcqbuJwv3/ZWfldzAw7v6
q9wFFoTyfoQZ+6Z0b3z3MvAGw2O/g1FZcTHAjTH6O8ptDBrgaOQg4IeTyNMJq5/x
BIDhdqsWIrO8fifmttBoRF5/T3nPRUpQcs8kKflRGRcblH1MDlqmVyaMqFcg0lqo
/qKNQ74XD0DOBX3VGkGZbk8qMnav+MGlTTSucAgf7yPlaTfT3M+o9JfPaJnKK/y/
S//IDYPm/VL5Pa620Bez/RvbtFHGJHLJYsPCpT3Ql0dTtNLP4MmHWgnCCIJbZqiw
FIpgmlCw/9Iu7lfWWIrdl6ymFhDxBmhm9ounNSnZs3b5NKNJLNSV7BPclclWLLMr
LsuMr6FkVS2DZVUjjfCOmnBIrH/lUtu7D+HYpLy4ZzmNWQpC0VAtNX570hri10il
1m0/dDB6k0ZuXc4uk9F+g4pysA68GyTSn9yTYpui8dcWzTAm6CmArKGIY0Ne6TSi
MjqgUm0ZfmlQBZkVEnGbHBk9XuhiiE44FA2aDUN24pwlORl1nIiROboVGAARkVKS
J+mGuyep2AAgYgFiSV0KuzpJU/VuAtjQM+f2Ar2bvZ0ZlvnDaKq0VBChnQI4Lt6f
XQKnZkGf9Oq+RRYdTJfC8coV1dnLjOHn7zM4Cf4SRSBCsJ5gb5IqS7fV35eBEbPf
2NGrDTDBLSc=
=onRV
-----END PGP SIGNATURE-----




Reply sent to Holger Levsen <holger@debian.org>:
You have taken responsibility. (Thu, 09 May 2013 10:21:15 GMT) Full text and rfc822 format available.

Notification sent to Stephen Gran <sgran@debian.org>:
Bug acknowledged by developer. (Thu, 09 May 2013 10:21:15 GMT) Full text and rfc822 format available.

Removed tag(s) wheezy. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Tue, 16 Jul 2013 15:36:04 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:30 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:25:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:35:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.